import React, { useRef, useState } from 'react';

import {
  AtomicBlockUtils,
  ContentBlock,
  DraftHandleValue,
  EditorState,
  getDefaultKeyBinding,
  RichUtils,
} from 'draft-js';

import './editor.less';
import { Editor as DraftEditor, convertToRaw } from 'draft-js';
import './Draft.less';
import { stateToHTML } from 'draft-js-export-html';
import Toolbar from '../components/toolbar/Toolbar';
import * as blockUtils from '../utils/blockUtils';
// import { DraftHandleValue } from '_@types_draft-js@0.11.9@@types/draft-js';
import ResizeableImage from '../components/resizeable-image/ResizeableImage';

interface IProps {
  placeholder?: string;
  readonly?: boolean;
  /**
   * track state change
   * @param state string  editor state
   * @param content html content
   */
  onChange?: (state: string, content: string) => void;
  uploadImage?: (file: Blob) => {
    url: string;
    width?: number;
    height?: number;
  };
}

const Editor = (props: IProps): JSX.Element => {
  const {
    placeholder = 'Please input something...',
    onChange,
    uploadImage,
    readonly = false,
  } = props;
  EditorState.createEmpty();
  return (
    <div className={'RichEditor-root'} style={{ minHeight: '300px' }}></div>
  );
};

export default Editor;
